Bug 827253 - [abrt] gnome-tweak-tool-3.3.4-1.fc17: gsettings.py:89:schema_get_summary:KeyError: 'show-desktop-icons'
[abrt] gnome-tweak-tool-3.3.4-1.fc17: gsettings.py:89:schema_get_summary:KeyE...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-tweak-tool (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mohamed El Morabity
Fedora Extras Quality Assurance
abrt_hash:fa9aab42f85b75dcaa5b3008cc3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 20:04 EDT by mvr
Modified: 2013-08-01 04:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 04:38:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mvr 2012-05-31 20:04:27 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        python /usr/bin/gnome-tweak-tool
comment:        when starting the program
executable:     /usr/bin/gnome-tweak-tool
kernel:         3.3.7-1.fc17.x86_64
time:           Thu 31 May 2012 06:59:28 PM CDT
uid:            1000
username:       mvr

backtrace:
:gsettings.py:89:schema_get_summary:KeyError: 'show-desktop-icons'
:
:Traceback (most recent call last):
:  File "/usr/bin/gnome-tweak-tool", line 76, in <module>
:    MainWindow()
:  File "/usr/lib/python2.7/site-packages/gtweak/mainwindow.py", line 44, in __init__
:    model)
:  File "/usr/lib/python2.7/site-packages/gtweak/tweakview.py", line 40, in __init__
:    self._model.load_tweaks()
:  File "/usr/lib/python2.7/site-packages/gtweak/tweakmodel.py", line 131, in load_tweaks
:    mods = __import__("gtweak.tweaks", globals(), locals(), tweak_files, 0)
:  File "/usr/lib/python2.7/site-packages/gtweak/tweaks/tweak_nautilus.py", line 47, in <module>
:    DesktopIconTweak(group_name=TWEAK_GROUP_DESKTOP),
:  File "/usr/lib/python2.7/site-packages/gtweak/tweaks/tweak_nautilus.py", line 30, in __init__
:    **options)
:  File "/usr/lib/python2.7/site-packages/gtweak/widgets.py", line 108, in __init__
:    _GSettingsTweak.__init__(self, schema_name, key_name, **options)
:  File "/usr/lib/python2.7/site-packages/gtweak/widgets.py", line 102, in __init__
:    options.get("summary",self.settings.schema_get_summary(key_name)),
:  File "/usr/lib/python2.7/site-packages/gtweak/gsettings.py", line 89, in schema_get_summary
:    return self._schema._schema[key]["summary"]
:KeyError: 'show-desktop-icons'
:
:Local variables in innermost frame:
:self: <GSettingsSetting object at 0x7fb0e2305140 (gtweak+gsettings+GSettingsSetting at 0x1fb8e30)>
:key: 'show-desktop-icons'

smolt_data:
:
:
:General
:=================================
:UUID: b7e5087e-7bc2-46af-9604-2966dc16cb15
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 7108.01
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-3820 CPU @ 3.60GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 45
:Number of CPUs: 2
:CPU Speed: 3553
:System Memory: 3011
:System Swap: 5055
:Vendor: innotek GmbH
:System: VirtualBox 1.2
:Form factor: Unknown
:Kernel: 3.3.7-1.fc17.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4203:63:0:0) pci, ohci_hcd, USB, KeyLargo/Intrepid USB
:(32902:10281:0:0) pci, ahci, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller
:(33006:48879:0:0) pci, None, VIDEO, VirtualBox Graphics Adapter
:(32902:28947:0:0) pci, None, BRIDGE, 82371AB/EB/MB PIIX4 ACPI
:(32902:4110:32902:30) pci, e1000, ETHERNET, PRO/1000 MT Desktop Adapter
:(33006:51966:0:0) pci, None, BASE, VirtualBox Guest Service
:(32902:4663:0:0) pci, None, HOST/PCI, 440FX - 82441FX PMC [Natoma]
:(32902:9237:32902:0) pci, snd_intel8x0, MULTIMEDIA_AUDIO, 82801AA AC'97 Audio Controller
:(32902:28945:0:0) pci, ata_piix, STORAGE, 82371AB/EB/MB PIIX4 IDE
:(32902:28672:0:0) pci, None, PCI/ISA, 82371SB PIIX3 ISA [Natoma/Triton II]
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_fc17-lv_root / ext4 4096 4096 13092026 11937993 11806943 3276800 3121755 3121755
:/dev/sda1 /boot ext4 1024 1024 508745 423996 398396 128016 127660 127660
:/dev/mapper/vg_fc17-lv_home /home ext4 4096 4096 11657373 10749185 10165096 2924544 2908940 2908940
:
Comment 1 Fedora Admin XMLRPC Client 2012-11-13 02:06:37 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora End Of Life 2013-07-03 22:33:21 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 04:38:36 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.